Reference Project Reports
Flowcase builds a reference project report in the background, so you start it, then poll until it is ready. Generate one in three steps:
- Initiate the report
- Poll the report status until complete
- When complete, download the report
CV (résumé) reports use the same three-step pattern. See CV Reports for that API.
1. Initiate report request
POST https://<subdomain>.flowcase.com/api/v4/references/reports
| Method |
URL |
Query Parameters |
JSON Body |
| POST |
/api/v4/references/reports |
None |
See below |
{
"offset": 0,
"size": 100,
"must": [],
"workflow_stage_filter": "live",
"filter_owned": false,
"output_format": "xlsx"
}
Request body
| JSON Body property |
Value |
| offset |
For pagination of results, the number to start from |
| size |
For pagination of results, the number of results to return |
| must |
Array of queries for filtering results, e.g. to query using a string:
[ { "query": { "value": "MY QUERY STRING" } } ] |
| workflow_stage_filter |
all, draft, ready_for_review or live |
| filter_owned |
Boolean, whether to filter to just those projects owned by the current user |
| output_format |
csv or xlsx |
2. Poll report request
GET https://<subdomain>.flowcase.com/api/v4/references/reports/<report_id>
| Method |
URL |
Query Parameters |
JSON Body |
| GET |
/api/v4/references/reports/<report_id> |
None |
None |
JSON response (returned from both the initiate and poll requests)
| Field |
Description |
| id |
ID of report request |
| percentProcessed |
Integer between 0 and 100 |
| processed |
Number of reference projects processed so far |
| total |
Number of projects in the report |
| state |
started or finished |
| file -> url |
null until the report is finished, which will then become a temporary signed URL to the report |
Response example (initiated)
{
"_id": "ID_OF_REPORT_REQUEST",
"percentProcessed": 0,
"total": 0,
"processed": 0,
"state": "started",
"file": { "url": null }
}
Response example (poll, once complete)
{
"_id": "ID_OF_REPORT_REQUEST",
"percentProcessed": 100,
"total": 249,
"processed": 249,
"state": "finished",
"file": { "url": "SIGNED_URL" }
}
3. Download report file
When the report is ready, the state changes to finished and you can download the report with a GET request to the SIGNED_URL.